import pandas as pd

file = 'players_22.csv'


class FIFA22playerData:

    def __init__(self):
        self.__player_data = pd.read_csv(file, low_memory=False)
        self.__player_stat = ["overall",
                              "pace", "shooting", "passing", "dribbling",
                              "defending", "physic",
                              "attacking_crossing", "attacking_finishing",
                              "attacking_heading_accuracy",
                              "attacking_short_passing", "attacking_volleys",
                              "skill_dribbling",
                              "skill_curve", "skill_fk_accuracy",
                              "skill_long_passing",
                              "skill_ball_control",
                              "movement_acceleration", "movement_sprint_speed",
                              "movement_agility",
                              "movement_reactions", "movement_balance",
                              "power_shot_power",
                              "power_jumping",
                              "power_stamina", "power_strength",
                              "power_long_shots",
                              "mentality_aggression",
                              "mentality_interceptions",
                              "mentality_positioning",
                              "mentality_vision",
                              "mentality_penalties", "mentality_composure",
                              "defending_marking_awareness",
                              "defending_standing_tackle",
                              "defending_sliding_tackle",
                              "goalkeeping_diving", "goalkeeping_handling",
                              "goalkeeping_kicking",
                              "goalkeeping_positioning",
                              "goalkeeping_reflexes"]

    @property
    def player_data(self):
        return self.__player_data

    @property
    def player_stat(self):
        return self.__player_stat

    def get_all_name(self):
        name_list = []
        for i in self.__player_data['short_name']:
            name_list.append(i)
        return name_list
